Bug 1572799 - failure setting up Windows printer via Samba [NEEDINFO]
Summary: failure setting up Windows printer via Samba
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: https://fedoraproject.org/wiki/Common...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 21:45 UTC by Michael Schwendt
Modified: 2019-05-28 20:22 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:22:03 UTC
Type: Bug
zdohnal: needinfo?


Attachments (Terms of Use)

Description Michael Schwendt 2018-04-27 21:45:49 UTC
This has been posted to test@ list, too. The culprit may be any backend tool/lib instead of system-config-printer itself, but troubleshooting needs to start somewhere.

Version-Release number of selected component (if applicable):
system-config-printer-1.5.11-8.fc28.x86_64
and any dependencies it may have, on 2018-Apr-27.

[...]

Description of problem:

Where F26 succeeds with exactly the same setup steps, F28 fails with
multiple symptoms. Any print job only ends up in the queue and leads to
disabling the printer and either a "filter failed" or "printer paused"
error.

I've filed one SELinux error that occurs when trying to print a test page:
https://bugzilla.redhat.com/show_bug.cgi?id=1572231

A similar topic has been posted to test@ list on April 10 and contains a few debug details, but has not seen any public replies:
https://lists.fedoraproject.org/archives/list/test@lists.fedoraproject.org/thread/I33KB3DVOWXCSP23NHEORDSXTQ65PTMC/

Comment 1 Michael Schwendt 2018-04-27 22:21:46 UTC
-- Reboot --
Apr 26 23:23:09 localhost.localdomain systemd[1]: Starting CUPS Scheduler...
Apr 26 23:23:11 localhost.localdomain cupsd[822]: Filter "brftopagedbrf" not found.
Apr 26 23:23:11 localhost.localdomain cupsd[822]: Filter "brftopagedbrf" not found.
Apr 26 23:23:12 localhost.localdomain cupsd[822]: Loading from cache...
Apr 26 23:23:12 localhost.localdomain cupsd[822]: Loading attributes...
Apr 26 23:23:12 localhost.localdomain cupsd[822]: cupsdLoadJob: job->file_time=1524835028, time-at-completed=1524748628, JobFiles=86400
Apr 26 23:23:12 localhost.localdomain cupsd[822]: Unloading...
Apr 26 23:23:14 localhost.localdomain systemd[1]: Started CUPS Scheduler.
Apr 26 23:23:49 testpc2 cupsd[822]: REQUEST localhost - - "POST / HTTP/1.1" 200 360 Create-Printer-Subscriptions successful-ok
Apr 26 23:25:32 testpc2 cupsd[822]: REQUEST localhost - - "POST / HTTP/1.1" 200 273 Create-Printer-Subscriptions successful-ok
Apr 26 23:25:41 testpc2 cupsd[822]: REQUEST localhost - - "POST / HTTP/1.1" 401 147 CUPS-Get-Devices successful-ok
Apr 26 23:25:42 testpc2 cupsd[822]: [CGI] cups-brf must be called as root
Apr 26 23:25:42 testpc2 cupsd[822]: [cups-deviced] PID 2533 (cups-brf) stopped with status 1!
Apr 26 23:25:42 testpc2 cupsd[822]: [cups-deviced] PID 2527 (gutenprint52+usb) stopped with status 1!
Apr 26 23:25:42 testpc2 hp[2520]: io/hpmud/pp.c 627: unable to read device-id ret=-1
Apr 26 23:25:43 testpc2 python3[2528]: io/hpmud/pp.c 627: unable to read device-id ret=-1
Apr 26 23:25:43 testpc2 cupsd[822]: PID 2519 (/usr/lib/cups/daemon/cups-deviced) exited with no errors.
Apr 26 23:25:43 testpc2 cupsd[822]: REQUEST localhost - root "POST / HTTP/1.1" 200 2218 CUPS-Get-Devices -
Apr 26 23:25:43 testpc2 cupsd[822]: [CGI] Unable to execute ippfind utility: No such file or directory
Apr 26 23:25:45 testpc2 cupsd[822]: PID 2553 (/usr/lib/cups/daemon/cups-deviced) exited with no errors.
Apr 26 23:25:45 testpc2 cupsd[822]: REQUEST localhost - root "POST / HTTP/1.1" 200 222 CUPS-Get-Devices -
Apr 26 23:25:52 testpc2 cupsd[822]: REQUEST localhost - - "POST / HTTP/1.1" 200 152 Cancel-Subscription successful-ok
Apr 26 23:28:22 testpc2 cupsd[822]: REQUEST localhost - - "POST / HTTP/1.1" 200 273 Create-Printer-Subscriptions successful-ok
Apr 26 23:28:25 testpc2 cupsd[822]: REQUEST localhost - - "POST / HTTP/1.1" 200 362 Create-Printer-Subscriptions successful-ok
Apr 26 23:28:25 testpc2 cupsd[822]: REQUEST localhost - - "POST / HTTP/1.1" 200 362 Create-Printer-Subscriptions successful-ok
Apr 26 23:28:27 testpc2 cupsd[822]: REQUEST localhost - - "POST / HTTP/1.1" 200 152 Cancel-Subscription successful-ok
Apr 26 23:28:27 testpc2 cupsd[822]: REQUEST localhost - - "POST / HTTP/1.1" 200 152 Cancel-Subscription successful-ok
Apr 26 23:28:29 testpc2 cupsd[822]: REQUEST localhost - - "POST / HTTP/1.1" 200 152 Cancel-Subscription successful-ok
Apr 27 00:22:09 testpc2 cupsd[822]: REQUEST localhost - - "POST / HTTP/1.1" 200 183 Renew-Subscription successful-ok
Apr 27 01:20:29 testpc2 cupsd[822]: REQUEST localhost - - "POST / HTTP/1.1" 200 183 Renew-Subscription successful-ok
Apr 27 01:52:46 testpc2 cupsd[822]: REQUEST localhost - - "POST / HTTP/1.1" 200 152 Cancel-Subscription successful-ok
Apr 27 01:52:46 testpc2 cupsd[822]: REQUEST localhost - - "POST / HTTP/1.1" 200 152 Cancel-Subscription client-error-not-found
Apr 27 01:52:47 testpc2 systemd[1]: Stopping CUPS Scheduler...
Apr 27 01:52:48 testpc2 systemd[1]: Stopped CUPS Scheduler.

Comment 2 Bradley 2018-05-23 16:13:24 UTC
I also got this bug.

My coworker uses a Windows machine with a printer hooked up to her machine via USB.

In the past, I could connect fine using "smb://computername/printername".

I tested using Ubuntu 18, and it also fails, but it works fine for Ubuntu 17 and Fedora 27.  Because it fails for both the newest Ubuntu and Fedora, it must be an upstream bug.

In the terminal, smbtree and smbclient work fine. However, smbclient's print command won't work, saying NT_STATUS_ACCESS_DENIED. For the previous Fedora/Ubuntu, it worked fine.

Things I tried:
- Turned off and disabled firewalld
- Set SELinux to disabled and restarted
- Edited cups.conf and changed AuthType to none
- Edited cups.conf to quote "printername" instead of using "%20" for spaces

As the last point notes, the "printername" has spaces, but it always worked fine using "%20" in place of spaces for the previous version. I haven't tested it with a printer name without spaces.

Comment 3 Zdenek Dohnal 2018-05-24 06:15:38 UTC
Hi guys,

thank you reporting this issue and your patience! I think the error doesn't lie in system-config-printer, but in cups or rather samba. Would you mind attaching cupsd debug log with loglevel debug? Manual here: https://fedoraproject.org/wiki/How_to_debug_printing_problems

Comment 4 Ben Cotton 2019-05-02 19:23:25 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-05-02 21:42:52 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-05-28 20:22:03 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.